# Uses of Class
org.apache.avro.mapred.Pair

Packages that use Pair
Package
Description
org.apache.avro.mapred
Run Hadoop MapReduce jobs over Avro data, with map and reduce functions written in Java.

## Uses of Pair in org.apache.avro.mapred

Methods in org.apache.avro.mapred that return Pair
Modifier and Type
Method
Description
`Pair<K,V>`
SequenceFileReader.`next()`
`Pair<K,V>`
SequenceFileReader.`next(Pair<K,V> reuse)`
Methods in org.apache.avro.mapred that return types with arguments of type Pair
Modifier and Type
Method
Description
`RecordReader<AvroWrapper<Pair<K,V>>,NullWritable>`
SequenceFileInputFormat.`getRecordReader(InputSplit split, JobConf job, Reporter reporter)`
`Iterator<Pair<K,V>>`
SequenceFileReader.`iterator()`
Methods in org.apache.avro.mapred with parameters of type Pair
Modifier and Type
Method
Description
`int`
Pair.`compareTo(Pair that)`
`Pair<K,V>`
SequenceFileReader.`next(Pair<K,V> reuse)`